Package weka.core

# Class ClassDiscovery.StringCompare

java.lang.Object
weka.core.ClassDiscovery.StringCompare

All Implemented Interfaces:
  `Comparator`, `RevisionHandler`

Enclosing class:
  `ClassDiscovery`

public static class ClassDiscovery.StringCompare extends Object implements Comparator, RevisionHandler
compares two strings. The following order is used:

- case insensitive
- german umlauts (ä , ö etc.) or other non-ASCII letters are treated as special chars
- special chars < numbers < letters

## Constructor Summary

Constructors
Constructor
Description
`StringCompare()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object o1, Object o2)`
Compares its two arguments for order.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this Comparator.
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### StringCompare

public StringCompare()

## Method Details

### compare

public int compare(Object o1, Object o2)
Compares its two arguments for order.

Specified by:
  `compare` in interface `Comparator`
Parameters:
  `o1` - the first object
  `o2` - the second object
Returns:
  -1 if o1<o2, 0 if o1=o2 and 1 if o1invalid input: '&';gt;o2

### equals

public boolean equals(Object obj)
Indicates whether some other object is "equal to" this Comparator.

Specified by:
  `equals` in interface `Comparator`
Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object to compare with this Comparator
Returns:
  true if the object is a StringCompare object as well

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision